package model

type Message struct {
	UserId       int64     `json:"userId"`
	GroupInfo    GroupInfo `json:"groupInfo"`
	OriginMsgId  int32     `json:"originMsgId"`
	RawMsg       string    `json:"msg"`
	UserNickName string    `json:"userNickName"`
}

type GroupInfo struct {
	IsGroupMsg bool   `json:"isGroupMsg"`
	GroupId    int64  `json:"groupId"`
	UserCard   string `json:"userCard"`
}

type Reply struct {
	ReplyMsg       string  `json:"replyMsg"`
	ReferOriginMsg bool    `json:"referOriginMsg"`
	FromMsg        Message `json:"fromMsg"`
}
